package org.sky.scientific.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.sky.core.mp.base.BaseService;
import org.sky.scientific.pojo.dto.CgRjzzqDTO;
import org.sky.scientific.pojo.entity.CgRjzzqEntity;
import org.springframework.web.multipart.MultipartFile;

import java.io.OutputStream;
import java.util.List;

/**
 * 科研成果-软件著作 服务类
 *
 * @author Kd
 * @since 2025-06-29
 */
public interface ICgRjzzqService extends BaseService<CgRjzzqEntity> {

	IPage<CgRjzzqEntity> selectPageByCondition(IPage<CgRjzzqEntity> page, @Param("ew") CgRjzzqDTO dto);

	void export(OutputStream os, List<CgRjzzqEntity> list);

    void importRjzzq(MultipartFile file);

	boolean saveRjzzq(CgRjzzqEntity cgRjzzq);

	boolean updateRjzzq(CgRjzzqEntity cgRjzzq);

	boolean physicalDeleteByIds(List<Long> ids);
}
